NX二次开发源码分享:选择PMI 剖切视图的方法
NX二次开发源码分享:选择PMI 剖切视图的方法subtype : UF_view_imported_pmi_lightweight_section_subtype
static NXOpen.Drawings.BaseView select_a_PMI_lightweight_section_view(string prompt)
{
TaggedObject selobj = null;
Point3d cursor = default(Point3d);
Selection.MaskTriple[] mask =
{ new Selection.MaskTriple(UFConstants.UF_view_type, UFConstants.UF_view_imported_pmi_lightweight_section_subtype, 0) };
Selection.Response resp = UI.GetUI().SelectionManager.SelectTaggedObject(prompt, "Select a view",
Selection.SelectionScope.WorkPart, Selection.SelectionAction.EnableSpecific, false,
false, mask, out selobj, out cursor);
return (NXOpen.Drawings.BaseView)selobj;
}
页:
[1]